Package com.tietoenator.trip.jxp.data

# Class TdbHighlightRendition

java.lang.Object
com.tietoenator.trip.jxp.data.TdbFieldTemplate
com.tietoenator.trip.jxp.data.TdbRendition
com.tietoenator.trip.jxp.data.TdbHighlightRendition

public class TdbHighlightRendition extends TdbRendition
Extends TdbRendition to provide requests for highlighted HTML renditions of STring fields, or TRIPxml exports with hit markup.

For HTML and multipart MIME renditions, either TRIPcof, TRIPview-C or TRIPview 2.1-4 or later must be installed on the TRIP server machine.

For TRIPxml output with hit markup, TRIPxml 2.2-2 or later must be installed on the TRIP server machine.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbHighlightRendition(String stringFieldName, String textFieldName, TdbRenditionType type)`
  Constructor, create a fully specified template field.
  `TdbHighlightRendition(String stringFieldName, String textFieldName, String filenameFieldName, TdbRenditionType type)`
  Constructor, create a fully specified template field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTextFieldName()`
  The text field from which to get hit locations for highlighting.

  ### Methods inherited from class com.tietoenator.trip.jxp.data.TdbRendition

  `getFilenameFieldName, getRenditionType`

  ### Methods inherited from class com.tietoenator.trip.jxp.data.TdbFieldTemplate

  `clear, getAfterHits, getBaseName, getBeforeHits, getFetchType, getFieldContent, getFieldFetchOption, getName, getSizeHint, isFocused, isSummarized, setAfterHits, setBaseName, setBeforeHits, setFetchType, setFieldContent, setFieldFetchOption, setFocused, setName, setSizeHint, setSummarized, setSurroundHits`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbHighlightRendition

    public TdbHighlightRendition(String stringFieldName, String textFieldName, TdbRenditionType type) throws TdbException
    Constructor, create a fully specified template field.

    This version of the constructor is recommended for use with TRIPxml.

    For HTML renditions using TRIPcof, TRIPview-C or TRIPview, you are strongly recommended to use the alternative constructor TdbHighlightRendition(String,String,String,TdbRenditionType) instead.

    Parameters:
      `stringFieldName` - The string field containing the document to render.
      `textFieldName` - The text field from which to get hit locations.
      `type` - The type of rendition to be performed during retrieval.
    Throws:
      `TdbException` - If there is an invalid argument.

  - ### TdbHighlightRendition

    public TdbHighlightRendition(String stringFieldName, String textFieldName, String filenameFieldName, TdbRenditionType type) throws TdbException
    Constructor, create a fully specified template field.

    This version of the constructor is recommended for use with TRIPcof and TRIPview-C.

    For use with TRIPxml, you should use the alternative constructor TdbHighlightRendition(String,String,TdbRenditionType) instead.

    Parameters:
      `stringFieldName` - The string field containing the document to render into HTML.
      `textFieldName` - The text field from which to get hit locations.
      `filenameFieldName` - The phrase field that contains the name of the stored file.
      `type` - The type of rendition to be performed during retrieval; must be either BasicHTML or MimeEncodedHtml.
    Throws:
      `TdbException` - If there is an invalid argument.

- ## Method Details

  - ### getTextFieldName

    public String getTextFieldName()
    The text field from which to get hit locations for highlighting.